Jump to content

Recommended Posts

Posted (edited)

Command DLBL (for Draw Line from Blocks to Line)

 

(defun drawLine (p1 p2)
 (entmakex (list (cons 0 "LINE")
                 (cons 10 p1)
                 (cons 11 p2))))
				 

;; DLBL for Draw Line from Blocks to Line
(defun c:DLBL ( / ln blks i p1 p2)
	
	(setq ln (car (entsel "\nSelect line: " )))
	
    (princ "\nSelect blocks: ")
	(setq blks (ssget (list (cons 0 "INSERT"))))
	(setq i 0)
	
	(repeat (sslength blks)
		;; p1: insertpoint of the block
		(setq p1 (cdr (assoc 10 (entget (ssname blks i)))))
		
		;; p2: closest point, perpendicular to the line.
		(setq p2 (vlax-curve-getClosestPointTo ln p1))
		(drawLine p1 p2)

		(setq i (+ i 1))
	)
)

 

Edited by Emmanuel Delay
  • Like 2
Posted

Thank you Emmanuel Delay 

  • Like 1

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...